com.opensymphony.xwork2.conversion

## Class TypeConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.opensymphony.xwork2.XWorkException
        - - com.opensymphony.xwork2.conversion.TypeConversionException

- All Implemented Interfaces:
    Locatable, Serializable

      public class TypeConversionException
      extends XWorkException

  TypeConversionException should be thrown by any TypeConverters which fail to convert values
  Author:
    Jason Carreira Created Oct 3, 2003 12:18:33 AM
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeConversionException()` Constructs a `XWorkException` with no detail message.
    `TypeConversionException(String s)` Constructs a `XWorkException` with the specified detail message.
    `TypeConversionException(String s, Throwable cause)` Constructs a `XWorkException` with the specified detail message.
    `TypeConversionException(Throwable cause)` Constructs a `XWorkException` with no detail message.

  - ### Method Summary

    - ### Methods inherited from class com.opensymphony.xwork2.XWorkException

      `getLocation, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeConversionException

          public TypeConversionException()

      Constructs a `XWorkException` with no detail message.

    - #### TypeConversionException

          public TypeConversionException(String s)

      Constructs a `XWorkException` with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### TypeConversionException

          public TypeConversionException(Throwable cause)

      Constructs a `XWorkException` with no detail message.
      Parameters:
        `cause` - the cause

    - #### TypeConversionException

          public TypeConversionException(String s,
                                 Throwable cause)

      Constructs a `XWorkException` with the specified detail message.
      Parameters:
        `s` - the detail message.
        `cause` - the cause

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.